X2Go Bug report logs - #172
x2gobroker-authservice creates logfiles that x2gobroker-daemon can not access

version graph

Package: x2gobroker-authservice; Maintainer for x2gobroker-authservice is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker-authservice is src:x2gobroker.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Wed, 17 Apr 2013 13:18:01 UTC

Severity: normal

Tags: pending

Found in version 0.0.1.0-0~334~precise1

Fixed in version 0.0.1.1

Done: tag@ymir, 0.0.1.1@ymir

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#172; Package x2gobroker-authservice. (Wed, 17 Apr 2013 13:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 17 Apr 2013 13:18:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Anders Bruun Olsen <abo@dsl.dk>
To: submit@bugs.x2go.org
Subject: x2gobroker-authservice creates logfiles that x2gobroker-daemon can not access
Date: Wed, 17 Apr 2013 15:03:38 +0200
[Message part 1 (text/plain, inline)]
Package: x2gobroker-authservice
Version: 0.0.1.0-0~334~precise1

When x2gobroker-authservice starts, it creates four files in
/var/log/x2gobroker: access.log, authservice.log, broker.log and error.log
(if they do not already exist). Because x2gobroker-authservice is running
as root, these files will be owned by root and have permission mode 644.
This makes them unwriteable to anybody but root. When x2gobroker-daemon
starts it will attempt to open at least /var/log/x2gobroker/broker.log, but
since x2gobroker-daemon runs as the user x2gobroker, it can't open that
file in write-mode. This makes the daemon exit without any error messages
when started by the init-system. It might be best to make
x2gobroker-authservice keep to it's own set of log-files to avoid this
problem. A work-around is to chown ownership of the files to the user
x2gobroker.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#172; Package x2gobroker-authservice. (Thu, 18 Apr 2013 15:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 18 Apr 2013 15:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 172@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>, 172@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#172: x2gobroker-authservice creates logfiles that x2gobroker-daemon can not access
Date: Thu, 18 Apr 2013 17:03:11 +0200
[Message part 1 (text/plain, inline)]
tag #172 pending
fixed #172 0.0.1.1
thanks

Hi Anders,

On Mi 17 Apr 2013 15:03:38 CEST Anders Bruun Olsen wrote:

> Package: x2gobroker-authservice
> Version: 0.0.1.0-0~334~precise1
>
> When x2gobroker-authservice starts, it creates four files in
> /var/log/x2gobroker: access.log, authservice.log, broker.log and error.log
> (if they do not already exist). Because x2gobroker-authservice is running
> as root, these files will be owned by root and have permission mode 644.
> This makes them unwriteable to anybody but root. When x2gobroker-daemon
> starts it will attempt to open at least /var/log/x2gobroker/broker.log, but
> since x2gobroker-daemon runs as the user x2gobroker, it can't open that
> file in write-mode. This makes the daemon exit without any error messages
> when started by the init-system. It might be best to make
> x2gobroker-authservice keep to it's own set of log-files to avoid this
> problem. A work-around is to chown ownership of the files to the user
> x2gobroker.

This commit should draw a separation line between  
x2gobroker-authservice logging and the logging of the broker daemon:
http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=620140e5cc38e3f84d014042f54c1235347c4923

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 18 Apr 2013 15:18:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.0.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 18 Apr 2013 15:18:04 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#172; Package x2gobroker-authservice. (Tue, 23 Apr 2013 19:57:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to tag@ymir, 0.0.1.1@ymir:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 23 Apr 2013 19:57:33 GMT) Full text and rfc822 format available.

Message #19 received at 172@bugs.x2go.org (full text, mbox):

From: tag@ymir, 0.0.1.1@ymir
To: 172-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 172@bugs.x2go.org
Subject: X2Go issue #172 (src:x2gobroker) has been marked as closed
Date: Tue, 23 Apr 2013 21:56:21 +0200 (CEST)
close #172
thanks

Hello,

we are very hopeful that X2Go issue #172 reported by you
has been resolved in the new release (0.0.1.1) of the
X2Go source project »src:x2gobroker«.

You can view the complete changelog entry of src:x2gobroker (0.0.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gobroker.

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=4085176be6f5895c931e34e6549ea9849e13ca0b;hp=7a77058f345af93356c9615df70c92644fa98549

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gobroker.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of sender of this mail)

---
X2Go Component: src:x2gobroker
Version: 0.0.1.1
Status: RELEASE
Date: Tue, 23 Apr 2013 21:38:07 +0200
Fixes: 154 170 171 172 175 176 180
Changes: 
 x2gobroker (0.0.1.1) RELEASED; urgency=low
 .
   * New upstream version (0.0.1.1):
     - Add WSGI support to X2Go Session Broker. Allows plugging into
       Apache2 by using the mod_wsgi module.
     - Add Apache2 configuration for WSGI support that shows how to
       setup a VirtualHost for X2Go Session Broker.
     - For sessions profiles with autologin enable, add a dummy key
       session profile parameter that triggers key based auth in X2Go Client.
       (Fixes: #154).
     - Fix hard-coded path to x2gobroker's authservice socket.
     - Separate logging logic of x2gobroker-authservice from the rest of
       the logging in x2gobroker. (Fixes: #172).
     - x2gobroker-pubkeyauthorizer: no logging-to-file support anymore.
       (Fixes: #175).
     - Fix name of get() method for /pubkeys/ URL path. (Fixes: #176).
     - Move AuthService server code fully into x2gobroker-authservice
       daemon script.
     - Add forgotten file: x2gobroker-authservice-logger.conf. (Fixes: #180).
     - Add script: x2gobroker-testauth.
     - Add enable()/disable() methods to broker backends.
     - Move complete authservice logic into x2gobroker-authservice script.
     - Add command and directrdp session profile parameters to defaults.
     - Fix wrong usage of session option »cmd«, has to be »command«.
   * /debian/control:
     + Fix --root parameter in DEB_PYTHON_INSTALL_ARGS.
     + Let bin:package x2gobroker-authservice depend on python-x2gobroker (of the
       same version). (Fixes: #170).
   * Properly remove the X2Go Session broker log files on package purgal.
   * Let bin:package x2gobroker-authservice create x2gouser:x2gouser, as well.
     (Fixes: #171).


Marked Bug as done Request was from tag@ymir, 0.0.1.1@ymir to control@bugs.x2go.org. (Tue, 23 Apr 2013 19:57:37 GMT) Full text and rfc822 format available.

Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Tue, 23 Apr 2013 19:57:37 GMT) Full text and rfc822 format available.

Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#172. (Tue, 23 Apr 2013 19:57:40 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 22 May 2013 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Apr 18 11:01:07 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.